<h1 align="center">
  <img src="https://static.zujonow.com/videosdk_logo_website_black.png"/><br/>
<p align="center">
  Video SDK Flutter<br/>
  <a href="https://videosdk.live/">videosdk.live</a>
</p>
</h1>

<!-- ![video-sdk-logo.png](https://static.videosdk.live/videosdk.live/videosdk_logo_circle_big.png) -->

[![Pub Version](https://img.shields.io/pub/v/videosdk)](https://pub.dev/packages/videosdk)
[![Documentation](https://img.shields.io/badge/Read-Documentation-blue)](https://docs.videosdk.live/docs/guide/video-and-audio-calling-api-sdk/flutter-sdk)
[![Discord](https://img.shields.io/discord/876774498798551130?label=Join%20on%20Discord)](https://discord.gg/kgAvyxtTxv)
[![Register](https://img.shields.io/badge/Contact-Know%20More-blue)](https://videosdk.live/contact)

# Video SDK Flutter

Video SDK Flutter to simply integrate Audio & Video Calling API or Live Video Streaming API to your app with just a few lines of code.

## Functionality

| Feature      |      Android       |                iOS |         Web |
| ------------ | :----------------: | -----------------: | ----------: |
| Audio/Video  | :heavy_check_mark: | :heavy_check_mark: | :hourglass: |
| Recorder     | :heavy_check_mark: | :heavy_check_mark: | :hourglass: |
| RTMP Live    | :heavy_check_mark: | :heavy_check_mark: | :hourglass: |
| Simulcast    | :heavy_check_mark: | :heavy_check_mark: | :hourglass: |
| Screen Share | :heavy_check_mark: |        :hourglass: | :hourglass: |
| Data Channel |    :hourglass:     |        :hourglass: | :hourglass: |

## Getting Started

### Setup Guide

Add `videosdk` as a [dependency in your pubspec.yaml file](https://flutter.io/using-packages/).

## Android Setup

### Update AndroidManifest.xml file for the permissions

Ensure the following permission is present in your Android Manifest file, located in `<project root>/android/app/src/main/AndroidManifest.xml`:

```xml
<uses-feature android:name="android.hardware.camera" />
<uses-feature android:name="android.hardware.camera.autofocus" />
<uses-permission android:name="android.permission.INTERNET"/>
<uses-permission android:name="android.permission.CAMERA" />
<uses-permission android:name="android.permission.RECORD_AUDIO" />
<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
<uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />
<uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
<uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>
<uses-permission android:name="android.permission.WAKE_LOCK" />
```

If you need to use a Bluetooth device, please add:

```xml
<uses-permission android:name="android.permission.BLUETOOTH" />
<uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
```

The Flutter project template adds it, so it may already be there.

Also you will need to set your build settings to Java 8, because official WebRTC jar now uses static methods in `EglBase` interface. Just add this to your app level `build.gradle`:

```js
android {
    //...
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}
```

> If necessary, in the same `build.gradle` you will need to increase `minSdkVersion` of `defaultConfig` up to `23` (currently default Flutter generator set it to `16`).

> If necessary, in the same `build.gradle` you will need to increase `compileSdkVersion` and `targetSdkVersion` up to `31` (currently default Flutter generator set it to `30`).

````

## iOS Setup

Add the following entry to your Info.plist file, located in `<project root>`/ios/Runner/Info.plist:

```xml
<key>NSCameraUsageDescription</key>
<string>$(PRODUCT_NAME) Camera Usage!</string>
<key>NSMicrophoneUsageDescription</key>
<string>$(PRODUCT_NAME) Microphone Usage!</string>
````

This entry allows your app to access camera and microphone.

## Import it

Now in your Dart code, you can use:

```js
import "package:videosdk/videosdk.dart";
```
