import Flutter
import UIKit

public class SwiftVideosdkPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "videosdk", binaryMessenger: registrar.messenger())
    let instance = SwiftVideosdkPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
      if(call.method == "getPlatformVersion"){
          result("iOS " + UIDevice.current.systemVersion)
      return
          
      }else if(call.method == "getDeviceInfo") {
              var deviceInfo = [String: String]()
              deviceInfo["brand"] = "Apple"
          deviceInfo["model"] = UIDevice.modelName
              deviceInfo["osVersion"] = UIDevice.current.systemVersion
              result(deviceInfo)
          return
          }
  }
}

public extension UIDevice {

    static let modelName: String = {
        var systemInfo = utsname()
        uname(&systemInfo)
        let machineMirror = Mirror(reflecting: systemInfo.machine)
        let identifier = machineMirror.children.reduce("") { identifier, element in
            guard let value = element.value as? Int8, value != 0 else { return identifier }
            return identifier + String(UnicodeScalar(UInt8(value)))
        }

        return identifier
    }()

}
